class Data:
    dni_w_miesiacu = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31]

    def __init__(self, d, m, r):
        self.dzien = d
        self.miesiac = m
        self.rok = r

    def data_tekstowo(self):
        return f'{self.dzien}.{self.miesiac}.{self.rok}'

    def dzien_roku(self):
        dni = 0
        for m in range(0, self.miesiac - 1):
            dni += self.dni_w_miesiacu[m] # można odwołać się również Data.dni_w_miesiacu
        dni += self.dzien
        if self.miesiac > 2 and self.czy_rok_przestepny(self.rok):
            dni += 1
        return dni

    @staticmethod
    def czy_rok_przestepny(rok):
        return (rok % 4 == 0 and rok % 100 != 0) or rok % 400 == 0


print(f'rok 2000: prestępny: {Data.czy_rok_przestepny(2000)}')

d = Data(1, 1, 2020)
print(f'Data: {d.data_tekstowo()}, dzień roku: {d.dzien_roku()}')

d = Data(31, 12, 2020)
print(f'Data: {d.data_tekstowo()}, dzień roku: {d.dzien_roku()}')

d = Data(1, 1, 2022)
print(f'Data: {d.data_tekstowo()}, dzień roku: {d.dzien_roku()}')

d = Data(31, 12, 2022)
print(f'Data: {d.data_tekstowo()}, dzień roku: {d.dzien_roku()}')

d = Data(1, 3, 2020)
print(f'Data: {d.data_tekstowo()}, dzień roku: {d.dzien_roku()}')

d = Data(1, 3, 2022)
print(f'Data: {d.data_tekstowo()}, dzień roku: {d.dzien_roku()}')

input("\n\nAby zakończyć, naciśnij Enter")
